
Redmine - Defect #7215

Wiki formatting mangles links to internal headers

2011-01-02 18:11 - Avery Chan

Status: Closed Start date: 2011-01-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 1.2.2   

Resolution: Fixed Affected version: 1.0.1

Description

Trying to create a set of links at the top of the wiki page to link to sections towards the bottom of a wiki page results in unusable links.

I've attached a text file  because there's wiki code in my example and it doesn't translate well to this tracker. The bottom line is that

the generated links aren't working as desired; hopefully the wiki code is clear in what I am trying to do.

I posted this earlier in the forums and it was suggested that I go here to report it. (I tried clicking on SubmittingBugs in the link above,

but the link is broken, so hopefully there is enough information here to identify the bug).

Associated revisions

Revision 7563 - 2011-10-02 19:25 - Etienne Massip

Make sure that anchor names generated for headings fully match wiki links (#7215).

Revision 7564 - 2011-10-02 19:28 - Etienne Massip

Merged #7563 from trunk (#7215).

History

#1 - 2011-10-02 16:22 - Etienne Massip

- Target version set to Candidate for next minor release

#2 - 2011-10-02 19:26 - Etienne Massip

- Status changed from New to Resolved

- Target version changed from Candidate for next minor release to 1.2.2

- Resolution set to Fixed

Should be fixed with r7563.

#3 - 2011-11-11 12:28 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

Link_example.txt 1.98 KB 2011-01-02 Avery Chan
